### Signal

# Gtk AppChooserWidget::application-selected

#### Declaration

    void
    application_selected (
      GtkAppChooserWidget* self,
      GAppInfo* application,
      gpointer user_data
    )

#### Description [src]

Emitted when an application item is selected from the widget’s list.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`application`

  Type: `GAppInfo`

  The selected `GAppInfo`

  The data is owned by the caller of the function.